package com.TicketManagement;
import java.util.ArrayList;

/**
 * @author Amirhosein Rajabpour
 * this class is airplane class and airplane are collaborated
 * with seat and flight classes directly
 */
public class Airplane {
    private Seat seat;
    private String airplaneagency;
    private String model;

    public Airplane(Seat seat,String airplaneagency,String model){
        this.seat=seat;
        this.airplaneagency=airplaneagency;
        this.model = model;
    }

    /**
     * arraylist of the reserved seats in an airplane
     */
    ArrayList<Seat> seats = new ArrayList<>();

    /**
     *
     * @return all reserved seats in airplane
     */
    public ArrayList<Seat> getSeats() { return seats; }

    /**
     *
     * @return the model of aircraft
     */
    public String getModel(){ return model;}

    /**
     *
     * @return the airplane's agency (or airline)
     */
    public String getAirplaneagency() { return airplaneagency; }

    /**
     * this methode takes a seat and checks if that seat is already occupied or not
     * and if the seat is free it reserves the seat otherwise nothing
     * @param seat is the seat which should be checked
     * @return if the seat is free it returns false and if the seat is occupied it returns true
     */
    public boolean reserveSeat( Seat seat) {

        if(seats.contains(seat))
        {
            System.out.println("seat is reserved");
            return false;
        }
        else
        {
            seats.add(seat);
            return true;
        }
    }
}
