package com.TicketManagement;

/**
 * @author Amirhosein Rajabpour
 *
 * this class is for simulating a ticket and some related parameters
 */
public class Ticket {
    private int seatnumber;
    private int flightnumber;
    private int LuggageWeight;
    private String food;
    Flight flight;
    Seat seat;

    public Ticket(Seat seat,Flight flight,int LuggageWeight,String food){
        this.flightnumber = flight.getFlightNumber();
        this.seatnumber = seat.getID();
        this.LuggageWeight = LuggageWeight;
        this.food = food;
    }

    /**
     * each passenger can have a specific amount of luggage
     * @return the passenger's luggage weight
     */
    public int getLuggageWeight() {
        return LuggageWeight;
    }

    /**
     * each passenger can have a meal
     * @return passenger's food
     */
    public String getFood() {
        return food;
    }

    /**
     *
     * @return passenger's flight number ( which is obviously mentioned in the ticket)
     */
    public int getFlightnumber() {
        return flightnumber;
    }

    /**
     *
     * @return passenger's seat number
     */
    public int getSeatnumber() {
        return seatnumber;
    }

    /**
     *
     * @return the object of passenger's flight
     */
    public Flight getFlight() {return flight;}

    /**
     *
     * @return the object of passenger's seat
     */
    public Seat getSeat(){ return seat;}
}
