package test;

import com.TicketManagement.Airplane;
import com.TicketManagement.Flight;
import com.TicketManagement.Seat;
import com.TicketManagement.Ticket;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import java.util.Date;

import static org.junit.jupiter.api.Assertions.*;

class TicketTest {
    static Seat seat;
    static Flight flight;
    static Ticket ticket;
    static Date date;
    static Airplane airplane;

    @BeforeAll
    public static void createticket() {
        seat = new Seat(1, "firstClass");
        airplane = new Airplane(seat, "iranAir", "707");
        flight = new Flight(date, 1, "tehran", "mashad", airplane);
        ticket = new Ticket(seat, flight, 10, "kabab");
    }

    @Test
    public void testTcketgetseatnumber() {
        assertEquals(1, ticket.getSeatnumber());
    }

    @Test
    public void testTicketgetflightnumber() {
        assertEquals(1, ticket.getFlightnumber());
    }

    @Test
    public void testticketgetcargo() {
        assertEquals(10, ticket.getLuggageWeight());
    }

    @Test
    public void testTicketgetmeal() {
        assertEquals("kabab", ticket.getFood());
    }


}