package com.TicketManagement;
import java.util.ArrayList;

/**
 * @author Amirhosein Rajabpour
 * this class is our passenger's class
 */
public class Customer {
    private String name,lastname;
    private int ID;
    private ArrayList<Ticket> tickets= new ArrayList<Ticket>();

    public Customer(String name,String lastname,int ID){
        this.name=name;
        this.ID=ID;
        this.lastname=lastname;
    }

    /**
     *
     * @return our customer's ID
     */
    public int getID() { return ID; }

    /**
     *
     * @returnour customer's name
     */
    public String getName() { return name; }
    /**
     *
     * @returnour customer's family name
     */
    public String getLastname() { return lastname; }

    /**
     *
     * @param t which is a ticket that our customer wants to buy
     *          customer buy the ticket ad the seat will be booked
     */
    public void buyTicket(Ticket t){

        tickets.add(t);
        t.getFlight().getAirplane().reserveSeat(t.getSeat());
    }
}
