package com.TicketManagement;

/**
 * @author Amirhosein Rajabpour
 *
 * this class indicates a seat and it's features for us
 */
public class Seat {
    private int ID;
    private String Type;
    private int userID;

    public Seat(int ID,String Type){
        this.Type=Type;
        this.ID=ID;
    }

    /**
     *
     * @return seat number
     */

    public int getID() {
        return ID;
    }

    /**
     *
     * @return type of the seat which can be business class, first class or economic class
     */
    public String getType() {
        return Type;
    }

    /**
     *
     * @return the ID of the user who has reserved this seat already
     */
    public int getUserID(){ return userID;}

    /**
     *
     * @param u is our user ID who booked the seat and set this ID
     */
    public void setUser(int u) { userID = u; }
}
