package com.TicketManagement;
import java.util.ArrayList;

/**
 * @author Amirhosein Rajabpour
 *
 * this class manages the booking flight system
 */
public class TicketManagement {
    /**
     * an arraylist out of Flight objects which aggregates all flights
     */
    private ArrayList<Flight> flights = new ArrayList<Flight>();

    /**
     *
     * @return all flights
     */
    public ArrayList<Flight> getFlights() {
        return flights;
    }

    /**
     *
     * @param flight
     * takes an specific flight object and remove it from our flight array list
     */
    public void removeFlight(Flight flight){flights.remove(flight);}

    /**
     *
     * @param flight
     * takes a flight and add it to flight array list
     */
    public void addFlight(Flight flight){
        flights.add(flight);
    }
}
